#include <stdio.h>
#include <stdlib.h>

short provera(short n, int l)
{
    int h;
    for(short i=0;i<n;i++){
        scanf("%d",&h);
        if(l>=h)
            return i+1;
    }
    return -1;
}

int main()
{
    short n;
    int l;
    scanf("%hd",&n);
    scanf("%d",&l);
    printf("%hd",provera(n,l));
    return 0;
}